Coin: SoPickedPointList Class Reference

| Coin3D is Free Software, published under the BSD 3-clause license. | https://coin3d.github.io https://www.kongsberg.com/en/kogt/

Public Member Functions | List of all members
SoPickedPointList Class Reference
Miscellaneous Classes

The SoPickedPointList class is a container for pointers to SoPickedPoint objects. More...

`#include <Inventor/lists/SoPickedPointList.h>`

Inheritance diagram for SoPickedPointList:

## Public Member Functions
| SoPickedPointList (void)
| SoPickedPointList (const int sizehint)
| SoPickedPointList (const SoPickedPointList &l)
void | append (SoPickedPoint *pp)
void | insert (SoPickedPoint *pp, const int insertbefore)
SoPickedPoint * | operator[] (const int idx) const
void | truncate (const int start, const int fit=0)
void | set (const int idx, SoPickedPoint *pp)
Public Member Functions inherited from SbPList
| SbPList (const int sizehint=DEFAULTSIZE)
| SbPList (const SbPList &l)
| ~SbPList ()
void | copy (const SbPList &l)
SbPList & | operator= (const SbPList &l)
void | fit (void)
void | append (void *item)
int | find (const void *item) const
void | insert (void *item, const int insertbefore)
void | removeItem (void *item)
void | remove (const int index)
void | removeFast (const int index)
int | getLength (void) const
void | truncate (const int length, const int fit=0)
void ** | getArrayPtr (const int start=0) const
void *& | operator[] (const int index) const
int | operator== (const SbPList &l) const
int | operator!= (const SbPList &l) const
void * | get (const int index) const
void | set (const int index, void *item)

## Additional Inherited Members
Protected Member Functions inherited from SbPList
void | expand (const int size)
int | getArraySize (void) const

## Detailed Description

The SoPickedPointList class is a container for pointers to SoPickedPoint objects.

This list class will delete the picked points when destructed/truncated, or when a picked point in the list is replaced by another picked point. The caller is responsible for allocating the picked points passed to the list, but should not deallocate them since this will be handled by the list.

See also
  SbPList

## Constructor & Destructor Documentation

## ◆ SoPickedPointList() [1/3]

SoPickedPointList::SoPickedPointList | ( | void |  | ) |
| inline

Default constructor.

## ◆ SoPickedPointList() [2/3]

SoPickedPointList::SoPickedPointList | ( | const int | sizehint | ) |
| inline

This constructor initializes the internal allocated size for the list to sizehint. Note that the list will still initially contain zero items.

See also
  SbPList::SbPList(const int sizehint)

## ◆ SoPickedPointList() [3/3]

SoPickedPointList::SoPickedPointList | ( | const SoPickedPointList & | l | ) |

Copy constructor. Will copy picked points, not just pointers.

See also
  SbList::SbList(const SbList<Type> & l)

## Member Function Documentation

## ◆ append()

void SoPickedPointList::append | ( | SoPickedPoint * | pp | ) |
| inline

Append item to the end of the list.

Automatically allocates more items internally if needed.

Overloaded from parent to accept an SoPickedPoint pointer argument.

See also
  SbPList::append()

## ◆ insert()

void SoPickedPointList::insert | ( | SoPickedPoint * | pp,
|  | const int | insertbefore )
| inline

Insert item at index insertbefore.

insertbefore should not be larger than the current number of items in the list.

Overloaded from parent to accept an SoPickedPoint pointer argument.

See also
  SbPList::insert()

## ◆ operator[]()

SoPickedPoint * SoPickedPointList::operator[] | ( | const int | idx | ) | const
| inline

Returns element at index.

Will automatically expand the size of the internal array if index is outside the current bounds of the list. The values of any additional pointers are then set to `NULL`.

Overloaded from parent to return an SoPickedPoint pointer.

See also
  SbPList::operator[]()

## ◆ truncate()

void SoPickedPointList::truncate | ( | const int | start,
|  | const int | fit = 0 )

Shorten the list to contain length elements, removing items from index length and onwards.

If fit is non-zero, will also shrink the internal size of the allocated array. Note that this is much less efficient than not re-fitting the array size.

Overloaded from parent to delete truncated items.

See also
  SbPList::truncate()

## ◆ set()

void SoPickedPointList::set | ( | const int | idx,
|  | SoPickedPoint * | pp )

Index operator to set element at index. Does not expand array bounds if index is outside the list.

Overloaded from parent to destruct the replaced item.

See also
  SbPList::set()

The documentation for this class was generated from the following files:

- SoPickedPointList.h
- SoPickedPointList.cpp